module.exports = {
  root: true, // 此项是用来告诉eslint找当前配置文件不能往父级查找
  env: {
    node: true// 此项指定环境的全局变量，下面的配置指定为node环境
  },
  // 此项是用来配置vue.js风格，就是说写代码的时候要规范的写，如果你使用vs-code我觉得应该可以避免出错
  extends: ["plugin:vue/essential", "@vue/prettier"],
  rules: {// 规则配置写在这里
    // "off"或者0  // 关闭规则关闭
    // "warn"或者1 // 在打开的规则作为警告（不影响退出代码）
    // "error"或者2 // 把规则作为一个错误（退出代码触发时为1）
    "no-console": process.env.NODE_ENV === "production" ? "error" : "off",
    "no-debugger": process.env.NODE_ENV === "production" ? "error" : "off", // 禁止使用debugger
    "no-alert": 0 // 禁止使用alert confirm prompt
  },
  parserOptions: {
    parser: "babel-eslint" // 此项是用来指定eslint解析器的，解析器必须符合规则，babel-eslint解析器是对babel解析器的包装使其与ESLint解析
  },
  overrides: [
    {
      files: ["**/__tests__/*.{j,t}s?(x)"],
      env: {
        mocha: true
      }
    }
  ]
};
